<?php
/*

Google Map API for PmWiki
=========================

Copyright Statement
-------------------

Copyright (c) 2006, Benjamin C. Wilson. All Rights Reserved. You have
permission to use this software for web site use provided this copyright
statement remains intact. You may not otherwise republish or alter this software
without prior permission of the author. License to publish granted
PmWiki.org for distribution to the PmWiki community. This copyright
statement must accompany the script.

You may contact the author at ameen@dausha.net. This software is
maintained at http://www.dausha.net/GoogleMapAPI/.

Notice:
-------

This is a class definition file belonging to a larger program.

*/
$GmaPointPopulation = 0;
class GmaPoint
{
  var $point = array('lat' => 0, 'lon' => 0);
  var $message = '';
  var $name = '';
  var $directions = '';
  var $lat = 0;
  var $lon = 0;
  var $icon = '';
  function GmaPoint($lat='', $lon='') {
    global $GmaPointPopulation;
    $this->id = $GmaPointPopulation++;
    if ($lat && $lon) {
      $this->lat = $lat;
      $this->lon = $lon;
    }
  }
  function pointer() {
    $icon = 'null';
    $lat = $this->lat;
    $lon = $this->lon;
    $msg = ($this->message) ? "'$this->message'" : 'null';
    $name = ($this->name) ? $this->name : 'null';
    return "      addPoint(map,$lat,$lon,$name,$msg,$icon);\n";
  }
  function link() {
    $id = $this->id;
    $this->name = $id;
    $name = "<a name='{$this->link}'></a>";
    $link = "<a href='javascript:myclick({$id});'>{$this->link}</a>";
    if ($this->link){ return "$name$link"; }
    return '';
  }
  function addLink($link) {
    $this->link = $link;
    $this->message .= "<a href=\'#$link\'>$link</a>";
  }
} // End Class GmaPoint
